# pion::PionPoolAllocator< MinSize, MaxSize >::FixedSizeAlloc Struct Reference

`#include <PionPoolAllocator.hpp>`

List of all members.

## Detailed Description

### template<std::size_t MinSize = 16, std::size_t MaxSize = 256>
struct pion::PionPoolAllocator< MinSize, MaxSize >::FixedSizeAlloc

data structure used to represent a pooled memory allocator for blocks of a specific size

Definition at line 204 of file PionPoolAllocator.hpp.

## Public Member Functions

| FixedSizeAlloc (std::size_t size)

## Public Attributes

boost::mutex | m_mutex
| used to protect access to the memory pool
std::size_t | m_size
| size of memory blocks managed by this allocator, in bytes
boost::pool | m_pool
| underlying pool allocator used for memory management
FreeListPtr | m_free_ptr
| pointer to a list of free nodes (for lock-free cache)

## Constructor & Destructor Documentation

template<std::size_t MinSize = 16, std::size_t MaxSize = 256>

pion::PionPoolAllocator< MinSize, MaxSize >::FixedSizeAlloc::FixedSizeAlloc | ( | std::size_t | size | ) | `[inline]`

constructs a new fixed-size pool allocator

Parameters:

  | size | size of memory blocks managed by this allocator, in bytes

Definition at line 211 of file PionPoolAllocator.hpp.

The documentation for this struct was generated from the following file:

- common/include/pion/PionPoolAllocator.hpp